[Snort-devel] need more guidance on paengine integration

Todd Lewis tlewis at ...255...
Fri Apr 27 18:14:16 EDT 2001


On Fri, 27 Apr 2001, Martin Roesch wrote:

> There are a number of things that need to be accomplished for 1.8
> release.  We need to QA and bugfix the current code set in CVS, fix the
> known bugs (memory leak in stream2, msg parser f*ck-up, etc), update the
> documentation and generally help to make sure we have a solid release. 
> You can be most valuable to everyone right now by helping to get that
> together, it'll greatly reduce your frustration in the constant delays
> in the 1.8 code and help me and everyone else out at the same time. 
> Interested?

Ok, I can do that.  I would very much like, as you suggested, the chance
to get paengines properly birthed in, say, a 1.8.1 release.  Since 1.8
needs to get out, I have begun work to help with that.  My initial stab
at turning on "-ansi -pedantic" and my usual truckload of warnings failed
miserably; I hope soon to have some useful improvements to contribute.
Also, if there are specific tasks which I can perform to assist in 1.8,
then feel free to delegate them explicitly to me.

--
Todd Lewis
tlewis at ...255...





More information about the Snort-devel mailing list